Saved searches
List Saved Searches
Retrieve all active saved searches for the current user including search filters, type, and creation date. Archived saved searches are excluded. Filter by user IDs or search type and sort by name, created, or updated date.
GET
Bearerheader
AuthorizationBearer <token>user_ids
array<integer>default: []
Get saved searches from users with these IDs. The IDs must be from people in the current users' team.
types
array<SavedSearchType>nullableFilter by type of search
- companies
- jobs
order_by
stringdefault: "updated_at"
Order by field
- name
- created_at
- updated_at
order_direction
stringdefault: "desc"
Order direction
- asc
- desc
Successful Response
application/json- itemsobject
curl -X GET 'https://api.theirstack.com/v0/saved_searches'[ { "body": { "blur_company_data": false, "company_country_code_not": [], "company_country_code_not_or_null": [], "company_country_code_or": [], "company_description_pattern_accent_insensitive": null, "company_description_pattern_not": [], "company_description_pattern_or": [], "company_domain_not": [], "company_domain_or": [], "company_id_not": [], "company_id_or": [], "company_investors_or": [], "company_investors_partial_match_or": [], "company_keyword_slug_and": [], "company_keyword_slug_not": [], "company_keyword_slug_or": [], "company_linkedin_url_exists": null, "company_linkedin_url_or": [], "company_list_id_not": [], "company_list_id_or": [], "company_location_pattern_or": [], "company_name_case_insensitive_or": [], "company_name_not": [], "company_name_or": [], "company_name_partial_match_not": [], "company_name_partial_match_or": [], "company_not_revealed_at_gte": null, "company_not_revealed_at_lte": null, "company_not_revealed_within_hours": null, "company_revealed_at_gte": null, "company_revealed_at_lte": null, "company_revealed_within_hours": null, "company_tags_or": [], "company_technology_slug_and": [], "company_technology_slug_not": [], "company_technology_slug_or": [], "company_type": "recruiting_agency", "expand_technology_slugs": [], "funding_stage_or": [], "include_total_results": false, "industry_id_not": [], "industry_id_not_or_null": [], "industry_id_or": [], "industry_not": [], "industry_or": [], "job_filters": { "closed_at_gte": null, "closed_at_lte": null, "discovered_at_gte": null, "discovered_at_lte": null, "discovered_at_max_age_days": null, "discovered_at_min_age_days": null, "easy_apply": null, "employment_statuses_or": [], "final_url_exists": null, "hiring_managers_exists": null, "is_closed": null, "job_country_code_not": [], "job_country_code_or": [], "job_description_contains_not": [], "job_description_contains_or": [], "job_description_pattern_and": [], "job_description_pattern_case_sensitive_or": [], "job_description_pattern_is_case_insensitive": null, "job_description_pattern_not": [], "job_description_pattern_or": [], "job_id_not": [], "job_id_or": [], "job_ids": [], "job_keyword_slug_and": [], "job_keyword_slug_not": [], "job_keyword_slug_or": [], "job_location_not": [], "job_location_or": [], "job_location_pattern_not": [], "job_location_pattern_or": [], "job_seniority_or": [], "job_technology_slug_and": [], "job_technology_slug_not": [], "job_technology_slug_or": [], "job_title_not": [], "job_title_or": [], "job_title_pattern_and": [], "job_title_pattern_not": [], "job_title_pattern_or": [], "max_salary_usd": null, "min_salary_usd": null, "only_jobs_with_hiring_managers": null, "only_jobs_with_reports_to": null, "posted_at_gte": null, "posted_at_lte": null, "posted_at_max_age_days": null, "property_exists_and": [], "property_exists_or": [], "remote": null, "reports_to_exists": null, "scraper_name_pattern_or": [], "url_domain_not": [], "url_domain_or": [], "workplace_types_or": [] }, "last_funding_round_date_gte": null, "last_funding_round_date_lte": null, "limit": 25, "max_employee_count": null, "max_employee_count_or_null": null, "max_funding_usd": null, "max_revenue_usd": null, "min_employee_count": null, "min_employee_count_or_null": null, "min_funding_usd": null, "min_num_jobs_found": null, "min_revenue_usd": null, "offset": 0, "only_yc_companies": false, "order_by": [ { "desc": true, "field": "relevance" } ], "page": 0, "property_exists_and": [], "property_exists_or": [], "revealed_company_data": null, "tech_filters": { "confidence_or": [], "first_date_found_gte": null, "first_date_found_lte": null, "keyword_category_slug_or": [], "keyword_parent_category_slug_or": [], "keyword_slug_or": [], "last_date_found_gte": null, "last_date_found_lte": null, "max_jobs": null, "max_rank": null, "min_jobs": null, "min_relative_occurrence": null, "technology_category_slug_or": [], "technology_parent_category_slug_or": [], "technology_slug_or": [] } }, "created_at": "2019-08-24T14:15:22Z", "creator": { "email": "string", "first_name": "string", "id": 0, "last_name": "string", "picture_url": "string" }, "emails_subscribed": [], "frequency": "daily", "has_active_webhooks": false, "id": 0, "is_alert_active": false, "is_archived": false, "name": "string", "origin": "manual", "path": "string", "query": "string", "querystring_params": {}, "team_id": 0, "type": "companies", "updated_at": "2019-08-24T14:15:22Z", "user_id": 0 }]How is this guide?
Last updated on
